{
  "extends": "./tsconfig.json",
  "compilerOptions": {
    "outDir": "../../dist/out-tsc",
    "target": "ES2022",
    "declaration": true,
    "declarationMap": true,
    "inlineSources": true,
    "types": [],
    "lib": ["dom", "ES2022", "ESNext"],
    "useDefineForClassFields": false
  },
  "angularCompilerOptions": {
    "skipTemplateCodegen": false,
    "strictMetadataEmit": true,
    "enableResourceInlining": true
  },
  "exclude": ["src/test-setup.ts", "**/*.spec.ts", "jest.config.ts"],
  "include": ["**/*.ts"]
}
